<?php
/*	name: adjust mobile table
	author: team1/3
*/

	global $html,$params,$database,$config,$ut,$plugin_ar;

	if (!isset($config)) { die(); }

$html['css']['adjust_mobile_table'] = <<<EOT
	<style>
		.adjust_mobile_table {
			width:100%;
			overflow: hidden;
		}
	</style>
EOT;

$html['meta']['adjust_mobile_table'] = <<<EOT
	<script>
	\$(function() {
		\$('.onethird-frame table').each(function(){
			var o = \$(this);
			if (\$('.onethird-frame').width() < o.width()) {
				o.addClass('adjmtb').wrap("<div class='adjust_mobile_table' />");
				o.width(o.width());
			}
		});
		ot.adjust_mobile_table = ot.adjust_mobile_table || {};
		ot.adjust_mobile_table.mousedown = function(event) {
			if (event.originalEvent.touches) {
				ot.adjust_mobile_table.pos = event.originalEvent.touches[0].pageX;
			} else {
				ot.adjust_mobile_table.pos = event.pageX;
			}
			ot.adjust_mobile_table.obj = \$('.adjust_mobile_table > .adjmtb');
			ot.adjust_mobile_table.left = parseInt(ot.adjust_mobile_table.obj.css('margin-left'));
		};
		ot.adjust_mobile_table.mousemove = function(event) {
			if (ot.adjust_mobile_table.pos) {
				var dx;
				if (event.originalEvent.touches) {
					dx = event.originalEvent.touches[0].pageX-ot.adjust_mobile_table.pos;
				} else {
					dx =  event.pageX-ot.adjust_mobile_table.pos;
				}
				if (dx > 70 || dx < -70) {
					dx = ot.adjust_mobile_table.left + dx;
					//if (dx < 0) {
						ot.adjust_mobile_table.obj.css('margin-left',dx+'px');
					//}
				}
			}
			return false;
		};
		ot.adjust_mobile_table.mouseup = function(event) {
			ot.adjust_mobile_table.pos = 0;
		};
		\$(document).on('touchstart','.adjust_mobile_table > .adjmtb', ot.adjust_mobile_table.mousedown);
		\$(document).on('mousedown','.adjust_mobile_table > .adjmtb', ot.adjust_mobile_table.mousedown);
		\$(document).on('touchmove','.adjust_mobile_table > .adjmtb', ot.adjust_mobile_table.mousemove);
		\$(document).on('mousemove','.adjust_mobile_table > .adjmtb', ot.adjust_mobile_table.mousemove);
		\$(document).on('touchend','.adjust_mobile_table > .adjmtb', ot.adjust_mobile_table.mouseup);
		\$(document).on('mouseup','.adjust_mobile_table > .adjmtb', ot.adjust_mobile_table.mouseup);

	});
	</script>
EOT;
	



?>